VkPhysicalDeviceExternalBufferInfoKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkBufferCreateFlags | flags
VkBufferUsageFlags | usage
VkExternalMemoryHandleTypeFlagBitsKHR | handleType

## Detailed Description

Definition at line 4152 of file vulkan.h.

## Field Documentation

## flags

VkBufferCreateFlags VkPhysicalDeviceExternalBufferInfoKHR::flags

Definition at line 4155 of file vulkan.h.

## handleType

VkExternalMemoryHandleTypeFlagBitsKHR VkPhysicalDeviceExternalBufferInfoKHR::handleType

Definition at line 4157 of file vulkan.h.

## pNext

const void* VkPhysicalDeviceExternalBufferInfoKHR::pNext

Definition at line 4154 of file vulkan.h.

## sType

VkStructureType VkPhysicalDeviceExternalBufferInfoKHR::sType

Definition at line 4153 of file vulkan.h.

## usage

VkBufferUsageFlags VkPhysicalDeviceExternalBufferInfoKHR::usage

Definition at line 4156 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h